# Configuration

## **Information about Configs**

The minions [level system](/products/minions/upgrades.md) is configurable, you can create, delete or edit any of them.

| Minion Config Options   | Expected Value                                                                     |
| ----------------------- | ---------------------------------------------------------------------------------- |
| Material                | [Material Enum](https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/Material.html) |
| Type                    | Minion Type                                                                        |
| DisplayItem.Glow        | Boolean                                                                            |
| DisplayItem.DisplayName | String                                                                             |
| DisplayItem.Lore        | String List                                                                        |
| HolographicMessages     | String List (Requires Any [Hologram Plugin](/products/minions/dependencies.md))    |
| SmeltedMaterial         | Material                                                                           |

To see Minion Upgrades config options go to [level system](/products/minions/upgrades.md)

{% code title="IRON\_ORE.yml" lineNumbers="true" %}

```yaml
# ////////////////////////////////////////////////////////////////////////////////////////////////////  # 
#                              INFORMATION ABOUT IRON_ORE MINER MINION 
# ////////////////////////////////////////////////////////////////////////////////////////////////////  # 
#                                                                                                       # 
#                                                                                                       # 
#  Settings:                                                                                            # 
#   ▪ ChestColor = The color of the chestplate.                                                         # 
#   ▪ LeggingsColor = The color of the chestplate.                                                      # 
#   ▪ BootsColor = The color of the chestplate.                                                         # 
#   ▪ Tool = The tool the minion is holding.                                                            # 
#   ▪ Head = The head the minion is wearing.                                                            # 
#   ▪ ActionTime = Time shown in seconds before each action is triggered between the minion.            # 
#   ▪ SlotsNumber = Number of slots available on the Minion, Max SlotsNumber = 15                       # 
#                                                                                                       # 
#   HolographicMessages:                                                                                # 
#   ▪ The messages displayed with Holograms.                                                            # 
#                                                                                                       # 
# ///////////////////////////////////////////////////////////////////////////////////////////////////// # 
#                                                                                                       # 
#   ▪ %LEVEL% = This will display the current level of the minion.                                      # 
#   ▪ %ROMAN_LEVEL% = This will display the current level of the subject in Roman numerals.             # 
#   ▪ %TIME% = This will display the current ActionTime of the minion.                                  # 
#                                                                                                       # 
# ///////////////////////////////////////////////////////////////////////////////////////////////////// # 
#                                                                                                       # 
#                                       [ Clothes Color List ]                                          # 
#                                                                                                       # 
#         -----> WHITE, BLACK, RED, GREEN, GRAY, CYAN, PINK, PURPLE, BROWN, YELLOW, BLUE <-----         # 
# ///////////////////////////////////////////////////////////////////////////////////////////////////// # 

Material: IRON_ORE
Type: MINER
DisplayItem:
  Glow: false
  DisplayName: '&eIRON_ORE MINER MINION %LEVEL%'
  Lore:
  - ''
  - '&6Description1'
  - '&6Description2 %LEVEL%'
  - '&6Description3 %TIME%'
Levels:
  Level_1:
    ChestColor: WHITE
    LeggingsColor: WHITE
    BootsColor: WHITE
    Tool: WOODEN_PICKAXE
    Head: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNTczMDkyY2FlYTg5ZGQxMmQzNjgzNzVmMWEwOTc3OTZlM2JjODhmODA5YWNjZjMyMDcwNmJkYzA0OGNkNGM1ZSJ9fX0=
    ActionTime: 60
    SlotsNumber: 5
    Upgrade:
      Money:
        Available: false
        Amount: 0
      Items:
        Available: true
        CraftingId: '#'
        ItemList:
        - COBBLESTONE:32
        - IRON_ORE:32
        - minion#MINER#IRON_ORE#1
  Level_2:
    ChestColor: WHITE
    LeggingsColor: WHITE
    BootsColor: WHITE
    Tool: WOODEN_PICKAXE
    Head: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNTczMDkyY2FlYTg5ZGQxMmQzNjgzNzVmMWEwOTc3OTZlM2JjODhmODA5YWNjZjMyMDcwNmJkYzA0OGNkNGM1ZSJ9fX0=
    ActionTime: 50
    SlotsNumber: 10
    Upgrade:
      Money:
        Available: false
        Amount: 0
      Items:
        Available: true
        CraftingId: '#'
        ItemList:
        - COBBLESTONE:32
        - IRON_ORE:32
        - minion#MINER#IRON_ORE#1
  Level_3:
    ChestColor: WHITE
    LeggingsColor: WHITE
    BootsColor: WHITE
    Tool: WOODEN_PICKAXE
    Head: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNTczMDkyY2FlYTg5ZGQxMmQzNjgzNzVmMWEwOTc3OTZlM2JjODhmODA5YWNjZjMyMDcwNmJkYzA0OGNkNGM1ZSJ9fX0=
    ActionTime: 3
    SlotsNumber: 15
    Upgrade:
      Money:
        Available: false
        Amount: 0
      Items:
        Available: true
        CraftingId: '#'
        ItemList:
        - COBBLESTONE:32
        - IRON_ORE:32
        - minion#MINER#IRON_ORE#1
HolographicMessages:
- '&6Hologram1'
- '&aHologram2'
- '&bHologram3'
- '&eHologram4'
SmeltedMaterial: ''
```

{% endcode %}

* Copy a config file already created paste it and rename it to the material you want to make the new minion from.
* Change the Material and Type of the minion.
* Edit the DisplayItem to your liking, this item will be the one you will use as spawner to place your minion.
* Edit the levels to your liking, you can add more levels by copying the previous one and changing the level to a higher number.
* You can add as many holograms as you need, the minion will display them randomly.
* Put the material inside the SmeltedMaterial variable, so that the minion collects the material when it has a Smelter Upgrade on.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sarry20.com/products/minions/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
